Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Class HL7MessageInfo

    java.lang.Object
      com.stc.connector.tcpip.hl7.msg.HL7MessageInfo

All Implemented Interfaces:
  HL7MessageInfoInterface

    public class HL7MessageInfo

extends java.lang.Object
implements HL7MessageInfoInterface

Version:
  cvs revision: $Revision: 1.23 $ Last Modified: $Date: 2008/04/22 05:54:45 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7MessageInfo()` Constructor for HL7MessageInfo.
`HL7MessageInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for HL7MessageInfo.

Method Summary
`HL7AcknowledgmentInfoInterface` | `getHL7AcknowledgmentInfo()` Returns the hl7AcknowledgmentInfo.
`HL7CommunicationControlInfoInterface` | `getHL7CommunicationControlInfo()` Returns the hl7CommunicationControlInfo.
`HL7LLPInfoInterface` | `getHL7LLPInfo()` Returns the hl7LLPInfo.
`HL7MSHInfoInterface` | `getHL7MSHInfo()` Returns the hl7MSHInfo.
`HL7PersistInfoInterface` | `getHL7PersistInfo()` Returns the hl7PersistInfo.
`HL7RecourseActionInfoInterface` | `getHL7RecourseActionInfo()` Returns the hl7RecourseActionInfo.
`HL7SeqNumberInfoInterface` | `getHL7SeqNumberInfo()` Returns the hl7SeqNumberInfo.
`HL7SFTInfoInterface` | `getHL7SFTInfo()` Returns the hl7SFTInfo.
`HL7ValidationControlInfo` | `getHL7ValidationControlInfo()` Returns the hl7ValidationControlInfo.
`void` | `setHL7AcknowledgmentInfo(HL7AcknowledgmentInfo hl7AcknowledgmentInfo)` Sets the hl7AcknowledgmentInfo.
`void` | `setHL7CommunicationControlInfo(HL7CommunicationControlInfo info)` Sets the hl7CommunicationControlInfo.
`void` | `setHL7LLPInfo(HL7LLPInfo hl7LLPInfo)` Sets the hl7LLPInfo.
`void` | `setHL7MSHInfo(HL7MSHInfo hl7MSHInfo)` Sets the hl7MSHInfo.
`void` | `setHL7PersistInfo(HL7PersistInfo info)` Sets the hl7PersistInfo.
`void` | `setHL7RecourseActionInfo(HL7RecourseActionInfo info)` Sets the hl7RecourseActionInfo.
`void` | `setHL7SeqNumberInfo(HL7SeqNumberInfo hl7SeqNumberInfo)` Sets the hl7SeqNumberInfo.
`void` | `setHL7SFTInfo(HL7SFTInfo hl7SFTInfo)` Sets the hl7SFTInfo.
`void` | `setHL7ValidationControlInfo(HL7ValidationControlInfo info)` Sets the hl7ValidationControlInfo.
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7MessageInfo

    public HL7MessageInfo()
                   throws HL7ApplicationException

  Constructor for HL7MessageInfo.

  Throws:
    `HL7ApplicationException`

### HL7MessageInfo

    public HL7MessageInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                   throws HL7ApplicationException

  Constructor for HL7MessageInfo.

  Parameters:
    `aConfiguration` - The initial configuration info
  Throws:
    `HL7ApplicationException`

Method Detail

### getHL7AcknowledgmentInfo

    public HL7AcknowledgmentInfoInterface getHL7AcknowledgmentInfo()

  Returns the hl7AcknowledgmentInfo.

  Specified by:
    `getHL7AcknowledgmentInfo` in interface `HL7MessageInfoInterface`
  Returns:
    HL7AcknowledgmentInfoInterface

### getHL7LLPInfo

    public HL7LLPInfoInterface getHL7LLPInfo()

  Returns the hl7LLPInfo.

  Specified by:
    `getHL7LLPInfo` in interface `HL7MessageInfoInterface`
  Returns:
    HL7LLPInfoInterface

### getHL7MSHInfo

    public HL7MSHInfoInterface getHL7MSHInfo()

  Returns the hl7MSHInfo.

  Specified by:
    `getHL7MSHInfo` in interface `HL7MessageInfoInterface`
  Returns:
    HL7MSHInfoInterface

### getHL7SFTInfo

    public HL7SFTInfoInterface getHL7SFTInfo()

  Returns the hl7SFTInfo.

  Specified by:
    `getHL7SFTInfo` in interface `HL7MessageInfoInterface`
  Returns:
    HL7SFTInfoInterface

### getHL7SeqNumberInfo

    public HL7SeqNumberInfoInterface getHL7SeqNumberInfo()

  Returns the hl7SeqNumberInfo.

  Specified by:
    `getHL7SeqNumberInfo` in interface `HL7MessageInfoInterface`
  Returns:
    HL7SeqNumberInfoInterface

### setHL7AcknowledgmentInfo

    public void setHL7AcknowledgmentInfo(HL7AcknowledgmentInfo hl7AcknowledgmentInfo)

  Sets the hl7AcknowledgmentInfo.

  Parameters:
    `hl7AcknowledgmentInfo` - The hl7AcknowledgmentInfo to set

### setHL7LLPInfo

    public void setHL7LLPInfo(HL7LLPInfo hl7LLPInfo)

  Sets the hl7LLPInfo.

  Parameters:
    `hl7LLPInfo` - The hl7LLPInfo to set

### setHL7MSHInfo

    public void setHL7MSHInfo(HL7MSHInfo hl7MSHInfo)

  Sets the hl7MSHInfo.

  Parameters:
    `hl7MSHInfo` - The hl7MSHInfo to set

### setHL7SFTInfo

    public void setHL7SFTInfo(HL7SFTInfo hl7SFTInfo)

  Sets the hl7SFTInfo.

  Parameters:
    `hl7MSHInfo` - The hl7SFTInfo to set

### setHL7SeqNumberInfo

    public void setHL7SeqNumberInfo(HL7SeqNumberInfo hl7SeqNumberInfo)

  Sets the hl7SeqNumberInfo.

  Parameters:
    `hl7SeqNumberInfo` - The hl7SeqNumberInfo to set

### getHL7ValidationControlInfo

    public HL7ValidationControlInfo getHL7ValidationControlInfo()

  Returns the hl7ValidationControlInfo.

  Returns:
    hl7ValidationControlInfo

### setHL7ValidationControlInfo

    public void setHL7ValidationControlInfo(HL7ValidationControlInfo info)

  Sets the hl7ValidationControlInfo.

  Parameters:
    `info` - The hl7ValidationControlInfo to set

### getHL7CommunicationControlInfo

    public HL7CommunicationControlInfoInterface getHL7CommunicationControlInfo()

  Returns the hl7CommunicationControlInfo.

  Specified by:
    `getHL7CommunicationControlInfo` in interface `HL7MessageInfoInterface`
  Returns:
    hl7CommunicationControlInfo

### getHL7RecourseActionInfo

    public HL7RecourseActionInfoInterface getHL7RecourseActionInfo()

  Returns the hl7RecourseActionInfo.

  Specified by:
    `getHL7RecourseActionInfo` in interface `HL7MessageInfoInterface`
  Returns:
    hl7RecourseActionInfo

### getHL7PersistInfo

    public HL7PersistInfoInterface getHL7PersistInfo()

  Returns the hl7PersistInfo.

  Specified by:
    `getHL7PersistInfo` in interface `HL7MessageInfoInterface`
  Returns:
    hl7PersistInfo

### setHL7CommunicationControlInfo

    public void setHL7CommunicationControlInfo(HL7CommunicationControlInfo info)

  Sets the hl7CommunicationControlInfo.

  Parameters:
    `info` - The hl7CommunicationControlInfo to set

### setHL7RecourseActionInfo

    public void setHL7RecourseActionInfo(HL7RecourseActionInfo info)

  Sets the hl7RecourseActionInfo.

  Parameters:
    `info` - The hl7RecourseActionInfo to set

### setHL7PersistInfo

    public void setHL7PersistInfo(HL7PersistInfo info)

  Sets the hl7PersistInfo.

  Parameters:
    `info` - The hl7PersistInfo to set

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD